## List Web Analytics sites `client.RUM.SiteInfo.List(ctx, params) (*V4PagePaginationArray[Site], error)` **get** `/accounts/{account_id}/rum/site_info/list` Lists all Web Analytics sites of an account. ### Parameters - `params SiteInfoListParams` - `AccountID param.Field[string]` Path param: Identifier. - `OrderBy param.Field[SiteInfoListParamsOrderBy]` Query param: The property used to sort the list of results. - `const SiteInfoListParamsOrderByHost SiteInfoListParamsOrderBy = "host"` - `const SiteInfoListParamsOrderByCreated SiteInfoListParamsOrderBy = "created"` - `Page param.Field[float64]` Query param: Current page within the paginated list of results. - `PerPage param.Field[float64]` Query param: Number of items to return per page of results. ### Returns - `type Site struct{…}` - `AutoInstall bool` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `Created Time` - `Rules []RUMRule` A list of rules. - `ID string` The Web Analytics rule identifier. - `Created Time` - `Host string` The hostname the rule will be applied to. - `Inclusive bool` Whether the rule includes or excludes traffic from being measured. - `IsPaused bool` Whether the rule is paused or not. - `Paths []string` The paths the rule will be applied to. - `Priority float64` - `Ruleset SiteRuleset` - `ID string` The Web Analytics ruleset identifier. - `Enabled bool` Whether the ruleset is enabled. - `ZoneName string` - `ZoneTag string` The zone identifier. - `SiteTag string` The Web Analytics site identifier. - `SiteToken string` The Web Analytics site token. - `Snippet string` Encoded JavaScript snippet. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/rum" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.RUM.SiteInfo.List(context.TODO(), rum.SiteInfoListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } ], "result_info": { "count": 10, "page": 1, "per_page": 10, "total_count": 25, "total_pages": 3 } } ```